package com.recres.web.gwt.client;


import jsinterop.annotations.JsOverlay;
import jsinterop.annotations.JsType;
import org.jboss.errai.common.client.api.annotations.Element;
import org.jboss.errai.common.client.dom.Anchor;

@Element("a")
@JsType(isNative = true)
public interface MenuAnchor extends Anchor {
    
  static final String PAGE_ATTR="data-app-page";

  @JsOverlay
  default void setPage(String pageId){
      setAttribute(PAGE_ATTR, pageId);
  }
  
  @JsOverlay
  default String getPage(){
      return getAttribute(PAGE_ATTR);
  }
    

}
