package com.recres.web.gwt.client;

import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;
import javax.inject.Named;
import org.jboss.errai.common.client.api.IsElement;
import org.jboss.errai.common.client.dom.HTMLElement;
import org.jboss.errai.ui.shared.api.annotations.DataField;
import org.jboss.errai.ui.shared.api.annotations.Templated;

@ApplicationScoped
@Templated("AppSetup.html#topNavigationBar")
public class TopNavigationBar implements IsElement {

    @Inject
    @Named("nav")
    @DataField
    private HTMLElement topNavigationBar;

    @Override
    public HTMLElement getElement() {
        return topNavigationBar;
    }
}
