package com.recres.web.gwt.client;

import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;
import org.jboss.errai.common.client.api.IsElement;
import org.jboss.errai.common.client.dom.Div;
import org.jboss.errai.ui.shared.api.annotations.DataField;
import org.jboss.errai.ui.shared.api.annotations.Templated;

@ApplicationScoped
@Templated("AppSetup.html#mobileNavigationBar")
public class MobileNavigationBar implements IsElement {

    @Inject
    @DataField
    private Div mobileNavigationBar;

    @Override
    public Div getElement() {
        return mobileNavigationBar;
    }
}
