<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%
        final String contextPath   = getServletContext().getContextPath();
        final String uiKitVersion  = "3.0.0-beta.24";
        final String jQueryVersion = "3.2.1";
         
        //Remeber to bump the  version every time the CSS changes!
        final String appVersion = "0.0.1"; 
        
        //TODO: Get from JNDI!
        final String devMode = "remote-dev";
%>
<!doctype html>
<html>
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="Recovery residency, sober housing management.">
        <meta name="author" content="PerunCS.Com">
        <link rel="icon" href="css/images/favicon.ico" type="image/x-icon" />
<%                    
if ("local".equals(devMode)) {
%>
        <title>RR-LOCAL</title>
        <link rel="stylesheet" href="<%=contextPath%>/uikit/css/uikit.css?<%=appVersion%>" />
        <script src="<%=contextPath%>/js/libs/jquery.js?<%=appVersion%>"></script>
        <script src="<%=contextPath%>/uikit/js/uikit.js?<%=appVersion%>"></script>
        <script src="<%=contextPath%>/uikit/js/uikit-icons.js?<%=appVersion%>"></script>
<%
}else if ("remote-dev".equals(devMode)){
%>
        <title>RR-REMOTE-DEV</title>
        <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/uikit/<%=uiKitVersion%>/css/uikit.css" />
        <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/<%=jQueryVersion%>/jquery.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/uikit/<%=uiKitVersion%>/js/uikit.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/uikit/<%=uiKitVersion%>/js/uikit-icons.js"></script>
<%
}else {
%>
        <title>PROD.Com</title>
        <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/uikit/<%=uiKitVersion%>/css/uikit.min.css" />
        <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/<%=jQueryVersion%>/jquery.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/uikit/<%=uiKitVersion%>/js/uikit.min.js"></script>
        <script src="//cdnjs.cloudflare.com/ajax/libs/uikit/<%=uiKitVersion%>/js/uikit-icons.min.js"></script>
<%
}
%>
        <link rel="stylesheet" href="css/override.css?<%=appVersion%>" type="text/css"/>
        
<%
           //<script type="text/javascript">
           // 'use strict';
           //Errai configuration
           //Enable server-side Errai bus 
           //erraiBusRemoteCommunicationEnabled = true;

           //Web service root.  Needed if web server does not support Servlet 3.0 
           //erraiJaxRsApplicationRoot = "./rest";

           //This parameter is only used if Push State is enabled. 
           //var erraiApplicationWebContext= ...contextPath... 
           //Enable HTML5 pushState
           //var erraiPushStateEnabled = true;
           //</script>
%>
        
        <script type="text/javascript" language="javascript" src="<%=contextPath%>/Main/Main.nocache.js"></script>
    </head>
    <body>
<% 
            //OPTIONAL: include this if you want history support 
%>
        <iframe src="javascript:''" id="__gwt_historyFrame" tabIndex='-1'  style="position:absolute;width:0;height:0;border:0"></iframe>
    </body>
</html>
